al_create_thread_with_stacksize(3)

NAME

al_create_thread_with_stacksize - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_THREAD *al_create_thread_with_stacksize(
       void *(*proc)(ALLEGRO_THREAD *thread, void *arg), void *arg, size_t stacksize)

DESCRIPTION

Spawn a new thread with the give stacksize in bytes which begins executing proc. The new thread is passed its own thread handle and the value arg.

Returns a pointer to the thread on success. Otherwise, returns NULL if there was an error.

SINCE

5.2.5

    [Unstable API]: New API, may want a better way to specify thread options.

SEE ALSO

al_start_thread(3), al_join_thread(3).